Download it now!
Bug 80014 - VIEWING: Horizontal line artifacts in linear/axial gradients
Summary: VIEWING: Horizontal line artifacts in linear/axial gradients
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: BSA target:4.4.0 target:4.3.0.2 targe...
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-06-14 07:05 UTC by Bugcruncher
Modified: 2015-12-17 08:23 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (100.09 KB, application/vnd.oasis.opendocument.text)
2014-06-14 07:05 UTC, Bugcruncher
Details
how the PDF export looks in 4.1 vs 4.2 (96.25 KB, image/png)
2014-06-14 22:39 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bugcruncher 2014-06-14 07:05:27 UTC
Created attachment 101030 [details]
Sample Document

Problem description: 
All Draw OLE objects inserted as OLE from existing Draw document show horizontal black or colored artifact lines. Position of those lines might change after scrolling

Steps to reproduce:
1. Open attached sample document

Current behavior:
Draw object (navigation device) shows ugly lines (see screenshot)

Expected behavior:
Draw object (navigation device) should look as it does after double click on it.

There is an additional viewing problem with that OLE object, I will subit a separate bug.
              
Operating System: Windows 7
Version: 4.2.4.2 release
Comment 1 Yousuf Philips (jay) (retired) 2014-06-14 22:33:20 UTC
Confirmed in Linux Mint in 4.2.4 and 4.3 beta. The lines arent found in 4.1.6, though the picture in 4.1.6 isnt perfect compared to the double clicking either. 4.1.6 will print correctly, while 4.2.4 will not.
Comment 2 Yousuf Philips (jay) (retired) 2014-06-14 22:39:04 UTC
Created attachment 101067 [details]
how the PDF export looks in 4.1 vs 4.2

you will notice that the pdf export of 4.2 is crisper (clearly seen by looking at the red button) but has it has 2 additional grey lines lines in the output.
Comment 3 Bugcruncher 2014-06-15 07:31:47 UTC
I am pretty sure that all my affected OLE objects have been created by opening a svg in Draw as first step.
Comment 4 Xisco Faulí 2014-06-24 15:03:52 UTC
bibisected:

f076560b5b9947a5b316efb4764d697f80e53afb is the first bad commit
commit f076560b5b9947a5b316efb4764d697f80e53afb
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 18:00:51 2013 +0000

    source-hash-420aa16af0bbab4bdef80ceeb8d44cabe65840e0
    
    commit 420aa16af0bbab4bdef80ceeb8d44cabe65840e0
    Author:     Michael Stahl <mstahl@redhat.com>
    AuthorDate: Fri Jul 12 19:04:21 2013 +0200
    Commit:     Michael Stahl <mstahl@redhat.com>
    CommitDate: Fri Jul 12 19:23:06 2013 +0200
    
        fdo#66745: drawinglayer: properly restore anti-aliasing mode
    
        VclPixelProcessor2D: the constructor changes the anti-aliasing mode of
        the given output device, and the destructor restores a hard-coded mode
        instead of what was there before.
    
        Due to this commit 5913506b2193e93ca2767ab7365ab2e76ed7848f turned off
        anti-aliasing for FontWork objects simply by creating a
        temporary VclPixelProcessor2D.
    
        Change-Id: I7f7fcbf86b0dd425f599cd8e62fce3c69a2744bb

:100644 100644 e77d6562a032ab72f4f6687b79ee3ddb0a8b9ac7 cf818efc4efa98dc54c53ec32be6b8413e1538d8 M	ccache.log
:100644 100644 440acef13e7e01f69e2e977deeded3b1f85c14c2 b2b4cae57b151f1949a6a8aceca17a54686d0076 M	commitmsg
:100644 100644 b8596aef3d1c51c964a23adfd6c9e3a188d0d57b 90cc6f203d87a733288a1e3fd816324b62c25e45 M	dev-install.log
:100644 100644 bef4904693793b8ab0e56f05a36436b3a4155fd4 911329c9e7f5014dd76c62bfbf78e1b260884f17 M	make.log
:040000 040000 a81dc7173b6b8a0d4f48d0cdaacedfb3af9c29b2 854f5173fa9f68a863965820d7bc55a592050424 M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# bad: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect bad ba096f438393091574da98fe7b8e6b05182a8971
# skip: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect skip 9daa289e178460daaafa4b3911031df5b8736218
# bad: [2d9baecf3ce2ea1ec8bea3e842eed595061eeef6] source-hash-ff51a2b64571a8d72ff4d8a8181d17cf98c42e69
git bisect bad 2d9baecf3ce2ea1ec8bea3e842eed595061eeef6
# skip: [3b187f1cb396a02f99a3da44b8b1daa40d795749] source-hash-344d80ee1d3829b28c18135ac4f0500d4b69aedd
git bisect skip 3b187f1cb396a02f99a3da44b8b1daa40d795749
# good: [04368f86c5bdaf6bd8264585ca378f3c280d237d] source-hash-a47a153a7f75edfe3bce33f0d34b723cbd2d5195
git bisect good 04368f86c5bdaf6bd8264585ca378f3c280d237d
# good: [91c3e68c86f5b7143ab0de18c70c46de8314d6e1] source-hash-4e41227dd6af52ec562d10efcb365defba6bd36e
git bisect good 91c3e68c86f5b7143ab0de18c70c46de8314d6e1
# good: [bb5ad7a1787aa87f172ccc8ed1f5be8374184a8f] source-hash-6bf79576aeca243db553ed3b5eade492dc35337b
git bisect good bb5ad7a1787aa87f172ccc8ed1f5be8374184a8f
# good: [34eab3946c46bb7273ba4ca395db9c4421dd232f] source-hash-e962805b31074d6b6a2ed0db6452769448337553
git bisect good 34eab3946c46bb7273ba4ca395db9c4421dd232f
# bad: [4e504a2344a5356cdcabe4a091f2e626b40aaede] source-hash-f39e8cadc74573a787641615406777da5a9e5343
git bisect bad 4e504a2344a5356cdcabe4a091f2e626b40aaede
# bad: [e128a0b9bd133d989b87354bd271ef25c642b7bc] source-hash-7be71336862204f0763fc2f8cf62a6f48f341114
git bisect bad e128a0b9bd133d989b87354bd271ef25c642b7bc
# bad: [f076560b5b9947a5b316efb4764d697f80e53afb] source-hash-420aa16af0bbab4bdef80ceeb8d44cabe65840e0
git bisect bad f076560b5b9947a5b316efb4764d697f80e53afb
# first bad commit: [f076560b5b9947a5b316efb4764d697f80e53afb] source-hash-420aa16af0bbab4bdef80ceeb8d44cabe65840e0
Comment 5 Michael Stahl (CIB) 2014-07-01 16:04:42 UTC
regression from commit 04d937c1ec36c2d9fa8c90604c81a37d30e97da6

there's an additional fScanInc*.1 added that causes the trouble,
perhaps it was not merged right, or perhaps that was obsoleted
by the commit anyway...

removing that fixes it on master
Comment 6 Commit Notification 2014-07-01 16:06:31 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d51f53fedb8cd68b1b3122c7199c4ea2d3a6980f

fdo#80014: vcl: fix drawing of linear gradients



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-07-01 19:39:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e87982fa1ecd53ee08ce15f626a50fd959592ca&h=libreoffice-4-3

fdo#80014: vcl: fix drawing of linear gradients


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-07-02 09:42:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a071dd3179536f1fb523ff082b5c5b155e443c59&h=libreoffice-4-2

fdo#80014: vcl: fix drawing of linear gradients


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:23:31 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]